import { EventEmitter } from "../../stencil-public-runtime";
import { Currency } from "isoly";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Item } from "@payfunc/model";
export declare class PayfuncOrderItemsQuantity {
  element: HTMLElement;
  t: langly.Translate;
  order: string;
  item: Item;
  currency: Currency;
  notice: EventEmitter<Notice>;
  quantityStatus: EventEmitter<boolean>;
  componentWillLoad(): void;
  private emitChangeStatus;
  sendQuantityStatus(status: boolean): void;
  render(): (string | any[])[];
}
